# Interface NotificationsApi

#### See

Notifications REST API provides the following functions for use by plugins.

interface NotificationsApi {
acknowledgeAll(): void;
acknowledgeNotification(id: string): void;
silenceAll(): void;
silenceNotification(id: string): void;
}

- Defined in notificationsapi.ts:7

##### Index

### Notifications API

acknowledgeAll
acknowledgeNotification
silenceAll
silenceNotification

## Notifications API

### acknowledgeAll

- acknowledgeAll(): void

  Acknowledges all notifications.

  #### Returns void

  - Defined in notificationsapi.ts:44

### acknowledgeNotification

- acknowledgeNotification(id: string): void

  Acknowledges the notification with the supplied identifier. Note: Calling this method on a Notifications with a status of `canAcknowledge = false` will throw an Error

  #### Parameters

  - id: string

    Notification identifier.

  #### Returns void

  - Defined in notificationsapi.ts:36

### silenceAll

- silenceAll(): void

  Silences all notifications.

  #### Returns void

  - Defined in notificationsapi.ts:25

### silenceNotification

- silenceNotification(id: string): void

  Silences the notification with the supplied identifier. Note: Calling this method on a Notifications with a status of `canSilence = false` will throw an Error

  #### Parameters

  - id: string

    Notification identifier.

  #### Returns void

  - Defined in notificationsapi.ts:17